%define	upstream_name	 Log-Message-Simple
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Standardized logging facilities using the "Log::Message" module
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Message)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
Provides standardized logging facilities using the "Log::Message" module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Log/*
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.100.0-12.mga10
+ Revision: 2199561
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.100.0-11.mga9
+ Revision: 1804333
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-10.mga8
+ Revision: 1495462
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-9.mga7
+ Revision: 1269029
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-8.mga6
+ Revision: 1029418
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.100.0-7.mga6
+ Revision: 937638
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 937185
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 740313
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 685270
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.100.0-3.mga5
+ Revision: 587965
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 526244
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 436398
- update to 0.10

* Wed Mar 27 2013 jquelin <jquelin> 0.80.0-4.mga3
+ Revision: 405507
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-3.mga3
+ Revision: 369227
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 jquelin <jquelin> 0.80.0-2.mga1
+ Revision: 53626
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 52394
- update to 0.08

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 37079
- mageia rebuild
- imported package perl-Log-Message-Simple


* Mon Sep 14 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 439422
- update to 0.06

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 408963
- rebuild using %%perl_convert_version

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.04-1mdv2009.0
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2008.1
+ Revision: 105467
- new version
- update to new version 0.04

  + Funda Wang <fwang@mandriva.org>
    - fix tarball url

* Fri Jun 22 2007 Buchan Milne <bgmilne@mandriva.org> 0.02-1mdv2008.0
+ Revision: 42915
- Buildrequire Log::Message
- Import perl-Log-Message-Simple



* Thu Jun 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.02-1mdv2007.1
- initial package
